<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AsyncSearchRequest StructType
 * @subpackage Structs
 */
class AsyncSearchRequest extends AbstractStructBase
{
    /**
     * The searchRecord
     * @var \StructType\SearchRecord
     */
    public $searchRecord;
    /**
     * Constructor method for AsyncSearchRequest
     * @uses AsyncSearchRequest::setSearchRecord()
     * @param \StructType\SearchRecord $searchRecord
     */
    public function __construct(\StructType\SearchRecord $searchRecord = null)
    {
        $this
            ->setSearchRecord($searchRecord);
    }
    /**
     * Get searchRecord value
     * @return \StructType\SearchRecord|null
     */
    public function getSearchRecord()
    {
        return $this->searchRecord;
    }
    /**
     * Set searchRecord value
     * @param \StructType\SearchRecord $searchRecord
     * @return \StructType\AsyncSearchRequest
     */
    public function setSearchRecord(\StructType\SearchRecord $searchRecord = null)
    {
        $this->searchRecord = $searchRecord;
        return $this;
    }
}
